---
title: CSSMathSum.CSSMathSum()
slug: Web/API/CSSMathSum/CSSMathSum
tags:
  - API
  - CSS Typed Object Model API
  - CSSMathSum
  - CSSUnparsedValue
  - Constructor
  - Experimental
  - Houdini
  - Reference
---
<div>{{draft}}{{APIRef("CSS Typed Object Model API")}}{{SeeCompatTable}}</div>

<p class="summary">The <strong><code>CSSMathSum()</code></strong> constructor creates a new {{domxref("CSSMathSum")}} object which creates a new {{domxref('CSSKeywordValue')}} object which represents the result obtained by calling {{domxref('CSSNumericValue.add','add()')}}, {{domxref('CSSNumericValue.sub','sub()')}}, or {{domxref('CSSNumericValue.toSum','toSum()')}} on {{domxref('CSSNumericValue')}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>CSSMathSum</var> = new CSSMathSum(<em>values</em>)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>values</dt>
 <dd>One or more double integers or {{domxref('CSSNumericValue')}} objects.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM','#cssmathsum','CSSMathSum()')}}</td>
   <td>{{Spec2('CSS Typed OM')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSMathSum.CSSMathSum")}}</p>
